Subject: Greetings

From: Rafael Diniz <[email-masked]>
Date: Thu, 12 Mar 2026 23:30:43 +0000

Hello all,

I'm Rafael Diniz (PU2UIT/CR7BYQ), working at Rhizomatica [1]. We've been 
using UUCP for almost a decade in our HF networks, and we always knew 
the time to move to NNCP would come.

We'd like to have at least a working test network up this year 
(hopefully). I'm still studying NNCP, understanding on how to provide 
NNCP to the communities that use HERMES [2], that are UUCP-based. There 
are always questions about security, but one huge advantage to me is 
bundle broadcast (using fountain codes [3]), together with our modem [4].

I did a very early draft (without broadcast support, without many 
things, untested, ai generated) on how we could connect NNCP to a 
VARA-compatible modem (like our Mercury modem), just to start the 
conversation:
https://github.com/Rhizomatica/nncp/pull/1

(I want to get out of github asap, but for now, that is where I placed 
the code)

I have some test setups with radio on dummy loads in my table, and over 
the air also, stations some hundreds of kilometers apart, which I can do 
tests. My focus will be the Mercury modem in the next weeks, in order to 
stabilize the over-the-air protocol and connectivity to standard VARA 
[5] (Mercury is compatible VARA client tcp interface) clients, but I 
want to fire up already the NNCP torch inside our project.

NNCP GO!

Cheers,
Rafael

[1] https://www.rhizomatica.org/
[2] https://hermes.radio/
[3] https://github.com/Rhizomatica/hermes-broadcast
[4] https://github.com/Rhizomatica/mercury
[5] https://rosmodem.wordpress.com/